BEEM - Android XMPP - Feature #88

Permettre la creation d'un nouveau compte sur le serveur
04/08/2009 06:17 PM - Frédéric Barthéléry

Status: Closed Start date: 04/08/2009
Priority: High Due date: 06/02/2009
Assignee: Jean-Manuel Da Silva % Done: 100%
Category: User Interface Estimated time: 0.00 hour
Target version: Prototype Technical assessement

Description

Jusqu'a present nous considerons que notre utilisateur possede deja un compte sur un serveur jabber. |l serait interessant de
permettre a un nouvel utilisateur de se creer un compte s'il n'en possede pas encore.
Cote service ca se realise en utilisant la classe AccountManager de smack.

History

#1 - 04/10/2009 01:39 PM - Nikita Kozlov

- Assignee set to Nikita Kozlov

Je claim la partie metier de la chose, je release le ticket pour la partie ui des que fini.

#2 - 04/21/2009 07:12 PM - Nikita Kozlov
- % Done changed from 0 to 70

Le compte est bien creer coter serveur et les infos de connections sont mis a jour dans le client.
Il reste a faire une connection auto/reconnection avec ces nouvelles infos.

Il faut rendre les messages d'erreurs un peu plus user friendly aussi.

Et accessoirement penser a comment rajouter un peu plus d'infos lors de la creation.

Je passe le flambeau :p

#3 - 04/21/2009 07:12 PM - Nikita Kozlov
- Assignee deleted (Nikita Kozlov)

#4 - 05/25/2009 01:50 AM - Frédéric Barthéléry
- Due date set to 06/02/2009

- Status changed from New to Assigned

- Assignee set to Jean-Manuel Da Silva

- Priority changed from Normal to High

- Target version changed from Prototype before 1.5 - SFR_Version to Prototype Technical assessement

#5 - 05/27/2009 01:15 AM - Jean-Manuel Da Silva
- Status changed from Assigned to Feedback

- % Done changed from 70 to 100

Terminer, le compte est bien créer sur le serveur.
Si le serveur n'accepte pas la création de compte, un AlertDialog est affiché. Si les deux mots de passes ne matchent pas, pareil.

#6 - 06/02/2009 07:45 PM - Frédéric Barthéléry

- Status changed from Feedback to Resolved

#7 - 06/22/2009 07:04 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed

C'est bon
